Problem installing letsencrypt on Centos 6 web and mail server



I have tried to install let’s encrypt but unfortunately I receive error message during installation.
I donwloaded letsencrypt from git repository and tried to install it by running letsencrypt-auto command

When it tries to solve the dependencies I receive a warning and it stops doing anything else

WARNING: Python 2.6 support is very experimental at present…
if you would like to work on improving it, please ensure you have backups
and then run this script again with the --debug flag!

any idea how to proceed?



Try following the suggestion you quoted–make sure you have backups, and then run the script with the --debug flag added. You’ll need to have the EPEL repository configured and enabled.


Thanks a lot
While I was still searching and trying, I found a nice guidelines here which helped to install python2.7 and it appears that it could install it. I am just doing the next step which is to retrieve certificetes


glad the guide was useful :smiley:


Thanks a lot, it worked perfectly :slight_smile: you saved my time :slight_smile: